summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-02-18 11:28:02 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2014-02-18 11:28:02 +0100
commitf9e8a355d7ff88bae17ea9f2198fbf3f990cd1bc (patch)
tree03d4c73e81a736a0d1a37130eb8e2ee0b3471148 /scripts
parentda133cad10885ca36be26b1b043c737e295a4cd4 (diff)
use bin directory for host binaries only, use new firmware directory for the resulting firmware
Diffstat (limited to 'scripts')
-rw-r--r--scripts/ipkg4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/ipkg b/scripts/ipkg
index 428761a3a..268bad943 100644
--- a/scripts/ipkg
+++ b/scripts/ipkg
@@ -808,7 +808,7 @@ Status: install ok pending" | ipkg_status_update_sd $sd $pkg
set -o noglob
rm -r $IPKG_TMP/$pkg/control
- if ! $pkg_extract_stdout $filename ./data.tar.gz|gzip -dc|(cd $IPKG_TMP/$pkg/data && $TOOLS_DIR/cpio -iud -H ustar) ; then
+ if ! $pkg_extract_stdout $filename ./data.tar.gz|gzip -dc|(cd $IPKG_TMP/$pkg/data && $BIN_DIR/cpio -iud -H ustar) ; then
echo "ipkg_install_file: ERROR unpacking data.tar.gz from $filename"
return 1
fi
@@ -876,7 +876,7 @@ diff -u $dest/$conffile $IPKG_TMP/$pkg/data/$conffile"
fi
local owd="`pwd`"
- (cd $IPKG_TMP/$pkg/data/; find . | $TOOLS_DIR/cpio -o -H ustar | (cd $owd; cd $dest; $TOOLS_DIR/cpio -iud -H ustar))
+ (cd $IPKG_TMP/$pkg/data/; find . | $BIN_DIR/cpio -o -H ustar | (cd $owd; cd $dest; $BIN_DIR/cpio -iud -H ustar))
rm -rf $IPKG_TMP/$pkg/data
rmdir $IPKG_TMP/$pkg
rm -f $info_dir/$pkg.list